org.apache.felix.bundlerepository.impl

## Class LocalRepositoryImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.LocalRepositoryImpl

All Implemented Interfaces:
  java.util.EventListener, Repository, org.osgi.framework.AllServiceListener, org.osgi.framework.BundleListener, org.osgi.framework.ServiceListener, org.osgi.framework.SynchronousBundleListener

    public class LocalRepositoryImpl
    extends java.lang.Object
    implements Repository, org.osgi.framework.SynchronousBundleListener, org.osgi.framework.AllServiceListener

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Repository

`LOCAL, SYSTEM`

### Constructor Summary

Constructors
Constructor and Description
`LocalRepositoryImpl(org.osgi.framework.BundleContext context, org.apache.felix.utils.log.Logger logger)`

### Method Summary

Methods
`void` `bundleChanged(org.osgi.framework.BundleEvent event)`
`void` `dispose()`
`long` `getLastModified()` Return the last modification date of this repository
`java.lang.String` `getName()` Return the name of this repository.
`Resource[]` `getResources()` Return the resources for this repository.
`java.lang.String` `getURI()` Return the associated URL for the repository.
`void` `serviceChanged(org.osgi.framework.ServiceEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalRepositoryImpl

    public LocalRepositoryImpl(org.osgi.framework.BundleContext context,
                       org.apache.felix.utils.log.Logger logger)

### Method Detail

#### bundleChanged

    public void bundleChanged(org.osgi.framework.BundleEvent event)

Specified by:
  `bundleChanged` in interface `org.osgi.framework.BundleListener`

#### serviceChanged

    public void serviceChanged(org.osgi.framework.ServiceEvent event)

Specified by:
  `serviceChanged` in interface `org.osgi.framework.ServiceListener`

#### dispose

    public void dispose()

#### getURI

    public java.lang.String getURI()

Description copied from interface: `Repository`
Return the associated URL for the repository.

Specified by:
  `getURI` in interface `Repository`

#### getName

    public java.lang.String getName()

Description copied from interface: `Repository`
Return the name of this repository.

Specified by:
  `getName` in interface `Repository`
Returns:
  a non-null name

#### getLastModified

    public long getLastModified()

Description copied from interface: `Repository`
Return the last modification date of this repository

Specified by:
  `getLastModified` in interface `Repository`
Returns:
  the last modification date

#### getResources

    public Resource[] getResources()

Description copied from interface: `Repository`
Return the resources for this repository.

Specified by:
  `getResources` in interface `Repository`